Get plans list
https://bank.dattaremit.com/api/plansRequires a bank-scoped key.
Retrieves a listing of plans. Records are sorted by creation date in descending order.
Required scope: plans:read
Query Params
pageintegerThe page index to retrieve.
per_pageintegerThe number of entities per page to return.
guidstringComma separated plan_guids to list plans for.
bank_guidstringComma separated bank_guids to list plans for.
customer_guidstringComma separated customer_guids to list plans for.
typestringComma separated types to list plans for.
statestringComma separated states to list plans for.
source_account_guidstringComma separated source account guids to list plans for.
destination_account_guidstringComma separated destination account guids to list plans for.
created_at_gtestringCreated at start date-time inclusive lower bound, ISO8601.
created_at_ltstringCreated at end date-time exclusive upper bound, ISO8601.
updated_at_gtestringUpdated at start date-time inclusive lower bound, ISO8601.
updated_at_ltstringUpdated at end date-time exclusive upper bound, ISO8601.
labelstringComma separated labels to list plans for.
Responses
200get list of plans
400Invalid requests
401Unauthorized - Authentication failed
403Invalid scope
Request
curl https://api.dattaremit.com/api/plans \
-H "Authorization: Bearer sk_test_YOUR_KEY"Response
get list of plans
{
"total": 1,
"page": 1,
"per_page": 1,
"objects": [
{
"guid": "string",
"type": "string",
"bank_guid": "string",
"customer_guid": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"expires_at": "2026-07-20T16:27:51.438Z",
"state": "string",
"failure_code": "string",
"source_account": {
"guid": "string",
"type": "string",
"organization_guid": "string",
"bank_guid": "string",
"customer_guid": "string",
"counterparty_guid": "string",
"asset": "string",
"requested_amount": 1,
"quoted_amount": 1,
"executed_amount": 1,
"payment_rail": "ach"
},
"destination_account": {
"guid": "string",
"type": "string",
"organization_guid": "string",
"bank_guid": "string",
"customer_guid": "string",
"counterparty_guid": "string",
"asset": "string",
"requested_amount": 1,
"quoted_amount": 1,
"executed_amount": 1,
"payment_rail": "ach"
},
"stages": [
{
"guid": "string",
"type": "string",
"state": "string",
"failure_code": "string",
"identifiers": [
null
],
"links": [
null
],
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"source_account": {
"guid": null,
"type": null,
"organization_guid": null,
"bank_guid": null,
"customer_guid": null,
"counterparty_guid": null,
"asset": null,
"requested_amount": null,
"quoted_amount": null,
"executed_amount": null,
"payment_rail": null
},
"destination_account": {
"guid": null,
"type": null,
"organization_guid": null,
"bank_guid": null,
"customer_guid": null,
"counterparty_guid": null,
"asset": null,
"requested_amount": null,
"quoted_amount": null,
"executed_amount": null,
"payment_rail": null
},
"fees": [
null
],
"deposit_return_details": {
"returned_at": null,
"return_code": null
},
"withdrawal_return_details": {
"returned_at": null,
"return_code": null
}
}
],
"fees": [
{
"type": "string",
"asset": "string",
"quoted_amount": 1,
"executed_amount": 1
}
],
"travel_rule_info": {
"originating_party": {
"type": "string",
"participant_guid": "string"
},
"receiving_party": {
"type": "string",
"participant_guid": "string"
},
"ultimate_originating_party": {
"type": "string",
"participant_guid": "string"
},
"ultimate_receiving_party": {
"type": "string",
"participant_guid": "string"
}
},
"purpose_of_transaction": "computer_services",
"supporting_documents": [
{
"guid": "string",
"type": "invoice",
"files": [
null
],
"document_reference_number": "string"
}
],
"labels": [
"string"
]
}
]
}